<?php
if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

if(!isset($content)){
	$content = '';
}

$content .= '';


if( (isset($_GET['filter'])) && (!empty($_GET['filter'])) )
{
	switch($_GET['filter']){
		case "requested":

			$query = "SELECT * FROM `".ROSTER_GB_REQUESTSTABLE."` WHERE complete = '0'";

		break;
		case "complete":

			$query = "SELECT * FROM `".ROSTER_GB_REQUESTSTABLE."` WHERE complete = '1'";

		break;
		default:

			$query = "SELECT * FROM `".ROSTER_GB_REQUESTSTABLE."`";

		break;
	}
} else {

	$query = "SELECT * FROM `".ROSTER_GB_REQUESTSTABLE."`";

}

$endquery = " ORDER BY req_date DESC, item_quantity ASC";

$result = $wowdb->query($query.$endquery);

$histdata = array();

while( $data = $wowdb->fetch_assoc($result) )
{
	if( !isset($histdata[$data['batch_id']]) )
	{
		$histdata[$data['batch_id']]['id'] = $data['requester_id'];
		$histdata[$data['batch_id']]['name'] = $data['requester_name'];
	}
	
	if( !isset($histdata[$data['batch_id']]['item']) )
	{
		$histdata[$data['batch_id']]['item']['item_name'] = $data['item_name'];
		$histdata[$data['batch_id']]['item']['item_color'] = $data['item_color'];
		$histdata[$data['batch_id']]['item']['item_id'] = $data['item_id'];
		$histdata[$data['batch_id']]['item']['item_texture'] = $data['item_texture'];
		$histdata[$data['batch_id']]['item']['item_tooltip'] = $data['item_tooltip'];
		$histdata[$data['batch_id']]['item']['level'] = $data['level'];
		$histdata[$data['batch_id']]['item']['item_level'] = $data['item_level'];
		$histdata[$data['batch_id']]['item']['req_date'] = $data['req_date'];
		if( isset($histdata[$data['batch_id']]['item_quantity']) )
		{
			$histdata[$data['batch_id']]['item']['item_quantity'] += $data['item_quantity'];
		} else {
			$histdata[$data['batch_id']]['item']['item_quantity'] = $data['item_quantity'];
		}
	}

	if( !isset($histdata[$data['batch_id']]['bankers'][$data['req_id']]) )
	{
		$histdata[$data['batch_id']]['bankers'][$data['req_id']]['id'] = $data['member_id'];
		$histdata[$data['batch_id']]['bankers'][$data['req_id']]['name'] = $data['member_name'];
		$histdata[$data['batch_id']]['bankers'][$data['req_id']]['quantity'] = $data['item_quantity'];
		$histdata[$data['batch_id']]['bankers'][$data['req_id']]['complete'] = $data['complete'];
		$histdata[$data['batch_id']]['bankers'][$data['req_id']]['comp_date'] = $data['comp_date'];
		$histdata[$data['batch_id']]['bankers'][$data['req_id']]['deny'] = $data['deny'];
		$histdata[$data['batch_id']]['bankers'][$data['req_id']]['note_text'] = $data['note_text'];
		$histdata[$data['batch_id']]['bankers'][$data['req_id']]['upload'] = $data['upload'];
		$histdata[$data['batch_id']]['bankers'][$data['req_id']]['upload_date'] = $data['upload_date'];
	}
}
	
$wowdb->free_result($result);

// menu!

$content .= border("sblue", "start");

$content .= "<table class='bodyline' cellpadding='0' cellspacing='0'>\n";

$content .= "<tr><th class='membersHeader'><a href=$script_filename&amp;action=history>".$wordings[$roster_conf['roster_lang']]['gb_history']."</a></th>";

$content .= "<th class='membersHeaderRight'><a href=$script_filename&amp;action=admin>".$wordings[$roster_conf['roster_lang']]['gb_admin']."</th></a></tr>";

$content .= "</table>";

$content .= border("sblue", "end");

$content .= "<br />";

$content .= border("sblue", "start");

$content .= "<table class='bodyline' cellpadding='0' cellspacing='0'>\n";

$content .= "<tr><th class='membersHeader'><a href=$script_filename&amp;action=history>".$wordings[$roster_conf['roster_lang']]['gb_all']."</a></th>";

$content .= "<th class='membersHeaderRight'><a href=$script_filename&amp;action=history&amp;filter=requested>".$wordings[$roster_conf['roster_lang']]['gb_requested']."</a></th>";

$content .= "<th class='membersHeaderRight'><a href=$script_filename&amp;action=history&amp;filter=complete>".$wordings[$roster_conf['roster_lang']]['gb_completed']."</a></th></tr>";

$content .= "</table>";

$content .= border("sblue", "end");

$content .= "<br />";


$content .= border("sblue", "start", $wordings[$roster_conf['roster_lang']]['gb_history']);

$content .= "<table class='bodyline' cellpadding='0' cellspacing='0'>\n";

$content .= "<tr> <th class='membersHeader'>".$wordings[$roster_conf['roster_lang']]['gb_tbl_name']."</th> <th class='membersHeader'>".$wordings[$roster_conf['roster_lang']]['gb_tbl_item']."</th> <th class='membersHeader'>".$wordings[$roster_conf['roster_lang']]['gb_tbl_bankers']."</th> <th class='membersHeader'>".$wordings[$roster_conf['roster_lang']]['gb_tbl_reqdate']."</th> <th class='membersHeaderRight'>".$wordings[$roster_conf['roster_lang']]['gb_tbl_compdate']."</th> </tr>";

$striping_counter = 0;

$first_user = 0;

foreach($histdata as $batchid => $batchdata)
{

	$banktoons = "<table cellpadding='0' cellspacing='0'>";
	$complete = "<table cellpadding='0' cellspacing='0'>";
	$request = "<table cellpadding='0' cellspacing='0'>";

	foreach($batchdata['bankers'] as $reqID => $bankerdata)
	{
		
		$banktoons .= "<tr><td>".$bankerdata['name']." (".$bankerdata['quantity'].")</td><tr>";
		$complete .= "<tr><td".($bankerdata['deny'] > 0 ? " style=\"color:red;\"" : "").">".date($phptimeformat[$roster_conf['roster_lang']],$bankerdata['comp_date']).(isset($bankerdata['note_text']) && !empty($bankerdata['note_text']) && $bankerdata['note_text'] != "" ? " - ".$bankerdata['note_text'] : "")."</td><tr>";			
		$request .= "<tr><td>".date($phptimeformat[$roster_conf['roster_lang']],$batchdata['item']['req_date'])."</td><tr>";			

	}
	$banktoons .= "</table>";
	$complete .= "</table>";
	$request .= "</table>";

	$stripe_counter = ( ( $striping_counter++ % 2 ) + 1 );

	$content .= "<tr> <th class='membersRow".$stripe_counter."'>".$batchdata['name']."</td> <td class='membersRow".$stripe_counter."'>".processItem($batchdata)."</td> <td class='membersRow".$stripe_counter."'>".$banktoons."</td> <td class='membersRow".$stripe_counter."'>".$request."</td> <td class='membersRowRight".$stripe_counter."'>".$complete."</td> </tr>";

	unset($banktoons);
	unset($complete);
	unset($request);

}


$content .= "</table>";

$content .= border("sblue", "end");

function processItem($itemrow)
{
	global $color_border, $itemlink, $roster_conf, $wordings;

	// Add the lead to the item-cell
	$returnstr = '<div style="display:inline;text-align:center;" onmouseover="return overlib(\'';

	// Generate the TOOLTIP code
	$first_line = 1;
	$tooltip = '';
	$itemrow['item']['item_tooltip'] = stripslashes($itemrow['item']['item_tooltip']);
	foreach (explode("\n", $itemrow['item']['item_tooltip']) as $line )
	{
		$color = '';

		if( !empty($line) )
		{
			$line = preg_replace('|\\>|','&#8250;', $line );
			$line = preg_replace('|\\<|','&#8249;', $line );
			$line = preg_replace('|\|c[a-f0-9]{2}([a-f0-9]{6})(.+?)\|r|','<span style="color:#$1;">$2</span>',$line);

			// Do this on the first line
			// This is performed when $caption_color is set
			if( $first_line )
			{
				if( $itemrow['item']['item_color'] == '' )
					$itemrow['item']['item_color'] = '9d9d9d';

				if( strlen($itemrow['item']['item_color']) > 6 )
					$color = substr( $itemrow['item']['item_color'], 2, 6 );
				else
					$color = $itemrow['item']['item_color'];

				$item_color = $color;
				$color .= ';font-size:12px;font-weight:bold';

				$first_line = false;
			}
			else
			{
				if ( ereg('^'.$wordings[$roster_conf['roster_lang']]['tooltip_use'],$line) )
					$color = '00ff00';
				elseif ( ereg('^'.$wordings[$roster_conf['roster_lang']]['tooltip_requires'],$line) )
					$color = 'ff0000';
				elseif ( ereg('^'.$wordings[$roster_conf['roster_lang']]['tooltip_reinforced'],$line) )
					$color = '00ff00';
				elseif ( ereg('^'.$wordings[$roster_conf['roster_lang']]['tooltip_equip'],$line) )
					$color = '00ff00';
				elseif ( ereg('^'.$wordings[$roster_conf['roster_lang']]['tooltip_chance'],$line) )
					$color = '00ff00';
				elseif ( ereg('^'.$wordings[$roster_conf['roster_lang']]['tooltip_enchant'],$line) )
					$color = '00ff00';
				elseif ( ereg('^'.$wordings[$roster_conf['roster_lang']]['tooltip_soulbound'],$line) )
					$color = '00bbff';
				elseif ( ereg('^'.$wordings[$roster_conf['roster_lang']]['tooltip_set'],$line) )
					$color = '00ff00';
				elseif ( preg_match('|\([a-f0-9]\).'.$wordings[$roster_conf['roster_lang']]['tooltip_set'].'|',$line) )
					$color = '666666';
				elseif ( ereg('^\\"',$line) )
					$color = 'ffd517';
			}

			// Convert tabs to a formated table
			if( strpos($line,"\t") )
			{
				$line = str_replace("\t",'</td><td align="right" class="overlib_maintext">', $line);
				$line = '<table width="100%" cellspacing="0" cellpadding="0"><tr><td class="overlib_maintext">'.$line.'</td></tr></table>';
				$tooltip .= $line;
			}
			elseif( !empty($color) )
			{
				$tooltip .= '<span style="color:#'.$color.';">'.$line.'</span><br />';
			}
			else
			{
				$tooltip .= "$line<br />";
			}
		}
		else
		{
			$tooltip .= '<br />';
		}
	}

	if (!isset($tooltip))
		$tooltip = $tooltip_out;

	// Process a line for each Banker that holds 'quantity' of the item inside the Tooltip
	foreach ($itemrow['bankers'] as $itemBankerID => $BankerData)
	{
		$tooltip = '<span style="color:#5c82a3;">'.$BankerData['name'].'</span> ('.$BankerData['quantity'].')<hr />' . $tooltip;
	}

	// Normalize the tooltip string
	$tooltip = str_replace("'", "\'", $tooltip);
	$tooltip = str_replace('"','&quot;', $tooltip);

	$returnstr .= $tooltip.'\');" onmouseout="return nd();">';
	// Free Up memory by clearing the tooltip string
	$tooltip = '';

	// Get the Icon Color
	switch ($item_color)
	{
		case "ffffff":
			$text_color = "#ffffff";
			$item_quality = "iconwhite";
		break;
		case "1eff00":
			$text_color = "#1eff00";
			$item_quality = "icongreen";
		break;
		case "9d9d9d":
			$text_color = "#9d9d9d";
			$item_quality = "icongrey";
		break;
		case "0070dd":
			$text_color = "#0070dd";
			$item_quality = "iconblue";
		break;
		default:
			$text_color = "#aa00dd";
			$item_quality = "iconpurple";
	}

	// Clean the Item Texture of backslashes and replace them with forward slashes
	$item_texture=str_replace('\\','/',$itemrow['item']['item_texture']);

	$realar = explode(":", $itemrow['item']['item_id']);
	$real_id = $realar[0].":".$realar[1].":".$realar[2];

	// Construct the image with a URL and put the colored border around it
	if ($color_border)
	{
//		$returnstr .=  '<a href="'.$itemlink[$roster_conf['roster_lang']].urlencode(utf8_decode($real_id)).'" target="_blank" style="color:'.$text_color.';"><img src="'.$roster_conf['interface_url'].$item_texture.'.'.$roster_conf['img_suffix'].'" class="'.$item_quality.'" alt="'.$itemrow['item']['item_name'].'" style="margin-right:3px;">'.$itemrow['item']['item_name']." (".$itemrow['item']['item_quantity'].')</a>';
		$returnstr .=  '<a href="'.$itemlink[$roster_conf['roster_lang']].urlencode(utf8_decode($itemrow['item']['item_name'])).'" target="_blank" style="color:'.$text_color.';"><img src="'.$roster_conf['interface_url'].$item_texture.'.'.$roster_conf['img_suffix'].'" class="'.$item_quality.'" alt="'.$itemrow['item']['item_name'].'" style="margin-right:3px;">'.$itemrow['item']['item_name']." (".$itemrow['item']['item_quantity'].')</a>';
	}
	else
	{
//		$returnstr .=  '<a href="'.$itemlink[$roster_conf['roster_lang']].urlencode(utf8_decode($real_id)).'" target="_blank" style="color:'.$text_color.';"><img src="'.$roster_conf['interface_url'].$item_texture.'.'.$roster_conf['img_suffix'].'" alt="'.$itemrow['item']['item_name'].'" style="margin-right:3px;">'.$itemrow['item']['item_name']." (".$itemrow['item']['item_quantity'].')</a>';
		$returnstr .=  '<a href="'.$itemlink[$roster_conf['roster_lang']].urlencode(utf8_decode($itemrow['item']['item_name'])).'" target="_blank" style="color:'.$text_color.';"><img src="'.$roster_conf['interface_url'].$item_texture.'.'.$roster_conf['img_suffix'].'" alt="'.$itemrow['item']['item_name'].'" style="margin-right:3px;">'.$itemrow['item']['item_name']." (".$itemrow['item']['item_quantity'].')</a>';
	}

	$returnstr .=  '</div>';

	// Return the complete table cell for the item
	return $returnstr;
}

?>