<?php

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

$query = "SHOW TABLES LIKE '".ROSTER_GB_CONFIGTABLE."';";

$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

if( $wowdb->num_rows($result) < 1 )
{

	$wowdb->free_result($result);

	$query = "SHOW TABLES LIKE '".ROSTER_GB_REQUESTSTABLE."';";

	$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

	if( $wowdb->num_rows($result) < 1 )
	{

		$version = "0.0.0";

	} else {

		$version = "1.0.0";

	}

} else {

	$wowdb->free_result($result);

	$query = "SELECT conf_data as version FROM `".ROSTER_GB_CONFIGTABLE."` WHERE conf_name = 'version';";

	$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

	$res = $wowdb->fetch_assoc($result);

	$version = $res['version'];

}

$wowdb->free_result($result);

switch( $version )
{
	case "1.0.3":
	case "1.0.2":
	case "1.0.1":
		$query = "UPDATE `".ROSTER_GB_CONFIGTABLE."` SET conf_data = '1.0.4' WHERE conf_name = 'version'";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		
		$wowdb->free_result($result);
	break;
	case "1.0.0":
	
		$query = "ALTER TABLE `".ROSTER_GB_REQUESTSTABLE."` 
		ADD `deny` BOOL NOT NULL ,
		ADD `note_text` TEXT NOT NULL ;";
		
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		
		$wowdb->free_result($result);
		
		$query = "CREATE TABLE `".ROSTER_GB_CONFIGTABLE."` (
		  `conf_id` int(11) unsigned NOT NULL auto_increment,
		  `conf_name` varchar(64) NOT NULL,
		  `conf_data` varchar(64) NOT NULL,
		  `conf_desc` text NOT NULL,
		  PRIMARY KEY  (`conf_id`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;";
		
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		
		$wowdb->free_result($result);
		
		$query = "INSERT INTO `".ROSTER_GB_CONFIGTABLE."` (conf_name, conf_data) VALUES ('version', '1.0.3')";
		
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		
		$wowdb->free_result($result);
	
	break;
	case "0.0.0":
	
		$query = "CREATE TABLE `".ROSTER_GB_CONFIGTABLE."` (
		  `conf_id` int(11) unsigned NOT NULL auto_increment,
		  `conf_name` varchar(64) NOT NULL,
		  `conf_data` varchar(64) NOT NULL,
		  `conf_desc` text NOT NULL,
		  PRIMARY KEY  (`conf_id`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;";
		
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		
		$query = "CREATE TABLE `".ROSTER_GB_REQUESTSTABLE."` (
		  `req_id` int(11) unsigned NOT NULL auto_increment,
		  `batch_id` text NOT NULL,
		  `member_id` int(11) NOT NULL,
		  `member_name` varchar(64) NOT NULL,
		  `requester_id` int(11) NOT NULL,
		  `requester_name` varchar(64) NOT NULL,
		  `item_name` varchar(96) NOT NULL,
		  `item_color` varchar(16) NOT NULL,
		  `item_id` varchar(64) default NULL,
		  `item_texture` varchar(64) NOT NULL,
		  `item_quantity` int(11) default NULL,
		  `item_tooltip` mediumtext NOT NULL,
		  `level` int(11) default NULL,
		  `item_level` int(11) default NULL,
		  `complete` tinyint(1) NOT NULL,
		  `req_date` int(11) NOT NULL,
		  `comp_date` int(11) NOT NULL,
		  `upload` tinyint(1) NOT NULL,
		  `upload_date` int(11) NOT NULL,
		  `deny` BOOL NOT NULL,
		  `note_text` TEXT NOT NULL,
		  PRIMARY KEY  (`req_id`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;";
		
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		
		$wowdb->free_result($result);

		$query = "INSERT INTO `".ROSTER_GB_CONFIGTABLE."` (conf_name, conf_data) VALUES ('version', '1.0.3')";
		
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		
		$wowdb->free_result($result);


}



?>